package com.bonus.sgzb.material.mapper;

import com.bonus.sgzb.base.domain.BmProjectLot;
import com.bonus.sgzb.material.domain.AgreementInfo;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author lsun
 */
@Mapper
public interface AgreementInfoMapper {

    /**
     * 查询AgreementInfo信息
     * @param bean
     * @return AgreementInfo
     *
     */
    List<AgreementInfo> getAgreementInfoAll(AgreementInfo bean);

    /**
     *查询
     * @return AgreementInfo
     */
    List<AgreementInfo> getUnitList();

    /**
     * 查询
     * @return AgreementInfo
     *
     */
    List<AgreementInfo> getProjectList();

    /**
     *添加
     * @param bean
     * @return int
     */
    int add(AgreementInfo bean);

    /**
     * 查询
     * @param nowDate
     * @return int
     */
    int selectNumByMonth(Date nowDate);

    /**
     * 修改
     * @param bean
     * @return
     */
    int update(AgreementInfo bean);

    /**
     * 通过id删除
     * @param bean
     * @return int
     */
    int deleteByIds(AgreementInfo bean);

    /**
     * 查询
     * @param bean
     * @return AgreementInfo
     */
    AgreementInfo getAgreementInfoId(AgreementInfo bean);

    /**
     * 查询
     * @param bean
     * @return
     */
    List<AgreementInfo> getInfo(AgreementInfo bean);

    /**
     *查询
     * @param agreementId
     * @return int
     */
    int selectByagreementId(Long agreementId);

    List<AgreementInfo> getAllAgreementId();

    BigDecimal getCostByLotId(BmProjectLot agreementInfo);

    List<BmProjectLot> getAllprojectId();

    BigDecimal getCostIndicatorsByLotId(BmProjectLot bmProjectLot);

    List<AgreementInfo> getprojectIdByLotId(BmProjectLot bmProjectLot);
}
